BEGIN VVHPHREY

IF ~!Race(Player1,VAMPIRE)~
THEN BEGIN heartOpen
   SAY ~(You take Phreya's heart into your hand. It is said that there is still a un-life in it, and vampire's powers are still there.)~

   IF ~~ THEN REPLY ~I will find a way to return you to life, Phreya. You will serve me.~ GOTO itemBack

   IF ~Global("MyRaceBlood","LOCALS",1)~ THEN REPLY ~I am going to eat this heart and will gain vampiric powers.~ GOTO itemEat1
    IF ~Global("MyRaceBlood","LOCALS",2)~ THEN REPLY ~I am going to eat this heart and will gain vampiric powers.~ GOTO itemEat2
   IF ~Global("MyRaceBlood","LOCALS",3)~ THEN REPLY ~I am going to eat this heart and will gain vampiric powers.~ GOTO itemEat3
   IF ~Global("MyRaceBlood","LOCALS",4)~ THEN REPLY ~I am going to eat this heart and will gain vampiric powers.~ GOTO itemEat4
   
    IF ~IsValidForPartyDialog(Player2)
 !Race(Player2,VAMPIRE)
!Race(Player2,SKELETON)
!Race(Player2,SPIDER)
!Race(Player2,CARRIONCRAWLER)
!Race(Player2,OTYUGH)
!Race(Player2,BEETLE)
!Race(Player2,SHADOW)
!Race(Player2,SPECTRE)
!Race(Player2,ANKHEG)
!Race(Player2,WRAITH)
!Race(Player2,MIST)
!Race(Player2,WRAITH)
!Race(Player2,GOLEM)
!Race(Player2,ELEMENTAL)
!Race(Player2,GENIE)
!Race(Player2,STATUE)
!Race(Player2,LICH)
!Race(Player2,DEMILICH)
!Race(Player2,PLANATAR)
!Race(Player2,DARKPLANATAR)
!Race(Player2,MYCONID)
!Race(Player2,FEYR)
!Race(Player2,HOOK_HORROR)
!Race(Player2,SIMULACRUM)
!Race(Player2,SPECTRAL_UNDEAD)
!Race(Player2,SHAMBLING_MOUND)
!Race(Player2,WILL-O-WISP)
!Race(Player2,TREANT)
!Race(Player2,SWORD)
!Race(Player2,BOW)
!Race(Player2,XBOW)
!Race(Player2,STAFF)
!Race(Player2,SLING)
!Race(Player2,MACE)
!Race(Player2,DAGGER)
!Race(Player2,SPEAR)
!Race(Player2,FIST)
!Race(Player2,HAMMER)
!Race(Player2,MORNINGSTAR)
!Race(Player2,ROBES)
!Race(Player2,LEATHER)
!Race(Player2,CHAIN)
!Race(Player2,PLATE)~ THEN REPLY ~<PLAYER2>, I need you to consume this vampire heart and gain immortality.~ GOTO player2Eat
   IF ~IsValidForPartyDialog(Player3)
 !Race(Player3,VAMPIRE)
!Race(Player3,SKELETON)
!Race(Player3,SPIDER)
!Race(Player3,CARRIONCRAWLER)
!Race(Player3,OTYUGH)
!Race(Player3,BEETLE)
!Race(Player3,SHADOW)
!Race(Player3,SPECTRE)
!Race(Player3,ANKHEG)
!Race(Player3,WRAITH)
!Race(Player3,MIST)
!Race(Player3,WRAITH)
!Race(Player3,GOLEM)
!Race(Player3,ELEMENTAL)
!Race(Player3,GENIE)
!Race(Player3,STATUE)
!Race(Player3,LICH)
!Race(Player3,DEMILICH)
!Race(Player3,PLANATAR)
!Race(Player3,DARKPLANATAR)
!Race(Player3,MYCONID)
!Race(Player3,FEYR)
!Race(Player3,HOOK_HORROR)
!Race(Player3,SIMULACRUM)
!Race(Player3,SPECTRAL_UNDEAD)
!Race(Player3,SHAMBLING_MOUND)
!Race(Player3,WILL-O-WISP)
!Race(Player3,TREANT)
!Race(Player3,SWORD)
!Race(Player3,BOW)
!Race(Player3,XBOW)
!Race(Player3,STAFF)
!Race(Player3,SLING)
!Race(Player3,MACE)
!Race(Player3,DAGGER)
!Race(Player3,SPEAR)
!Race(Player3,FIST)
!Race(Player3,HAMMER)
!Race(Player3,MORNINGSTAR)
!Race(Player3,ROBES)
!Race(Player3,LEATHER)
!Race(Player3,CHAIN)
!Race(Player3,PLATE)~ THEN REPLY ~<PLAYER3>, I need you to consume this vampire heart and gain immortality.~ GOTO player3Eat
   IF ~IsValidForPartyDialog(Player4)
 !Race(Player4,VAMPIRE)
!Race(Player4,SKELETON)
!Race(Player4,SPIDER)
!Race(Player4,CARRIONCRAWLER)
!Race(Player4,OTYUGH)
!Race(Player4,BEETLE)
!Race(Player4,SHADOW)
!Race(Player4,SPECTRE)
!Race(Player4,ANKHEG)
!Race(Player4,WRAITH)
!Race(Player4,MIST)
!Race(Player4,WRAITH)
!Race(Player4,GOLEM)
!Race(Player4,ELEMENTAL)
!Race(Player4,GENIE)
!Race(Player4,STATUE)
!Race(Player4,LICH)
!Race(Player4,DEMILICH)
!Race(Player4,PLANATAR)
!Race(Player4,DARKPLANATAR)
!Race(Player4,MYCONID)
!Race(Player4,FEYR)
!Race(Player4,HOOK_HORROR)
!Race(Player4,SIMULACRUM)
!Race(Player4,SPECTRAL_UNDEAD)
!Race(Player4,SHAMBLING_MOUND)
!Race(Player4,WILL-O-WISP)
!Race(Player4,TREANT)
!Race(Player4,SWORD)
!Race(Player4,BOW)
!Race(Player4,XBOW)
!Race(Player4,STAFF)
!Race(Player4,SLING)
!Race(Player4,MACE)
!Race(Player4,DAGGER)
!Race(Player4,SPEAR)
!Race(Player4,FIST)
!Race(Player4,HAMMER)
!Race(Player4,MORNINGSTAR)
!Race(Player4,ROBES)
!Race(Player4,LEATHER)
!Race(Player4,CHAIN)
!Race(Player4,PLATE)~ THEN REPLY ~<PLAYER4>, I need you to consume this vampire heart and gain immortality.~ GOTO player4Eat
    IF ~IsValidForPartyDialog(Player5)
!Race(Player5,VAMPIRE)
!Race(Player5,SKELETON)
!Race(Player5,SPIDER)
!Race(Player5,CARRIONCRAWLER)
!Race(Player5,OTYUGH)
!Race(Player5,BEETLE)
!Race(Player5,SHADOW)
!Race(Player5,SPECTRE)
!Race(Player5,ANKHEG)
!Race(Player5,WRAITH)
!Race(Player5,MIST)
!Race(Player5,WRAITH)
!Race(Player5,GOLEM)
!Race(Player5,ELEMENTAL)
!Race(Player5,GENIE)
!Race(Player5,STATUE)
!Race(Player5,LICH)
!Race(Player5,DEMILICH)
!Race(Player5,PLANATAR)
!Race(Player5,DARKPLANATAR)
!Race(Player5,MYCONID)
!Race(Player5,FEYR)
!Race(Player5,HOOK_HORROR)
!Race(Player5,SIMULACRUM)
!Race(Player5,SPECTRAL_UNDEAD)
!Race(Player5,SHAMBLING_MOUND)
!Race(Player5,WILL-O-WISP)
!Race(Player5,TREANT)
!Race(Player5,SWORD)
!Race(Player5,BOW)
!Race(Player5,XBOW)
!Race(Player5,STAFF)
!Race(Player5,SLING)
!Race(Player5,MACE)
!Race(Player5,DAGGER)
!Race(Player5,SPEAR)
!Race(Player5,FIST)
!Race(Player5,HAMMER)
!Race(Player5,MORNINGSTAR)
!Race(Player5,ROBES)
!Race(Player5,LEATHER)
!Race(Player5,CHAIN)
!Race(Player5,PLATE)~ THEN REPLY ~<PLAYER5>, I need you to consume this vampire heart and gain immortality.~ GOTO player5Eat
    IF ~IsValidForPartyDialog(Player6)
!Race(Player6,VAMPIRE)
!Race(Player6,SKELETON)
!Race(Player6,SPIDER)
!Race(Player6,CARRIONCRAWLER)
!Race(Player6,OTYUGH)
!Race(Player6,BEETLE)
!Race(Player6,SHADOW)
!Race(Player6,SPECTRE)
!Race(Player6,ANKHEG)
!Race(Player6,WRAITH)
!Race(Player6,MIST)
!Race(Player6,WRAITH)
!Race(Player6,GOLEM)
!Race(Player6,ELEMENTAL)
!Race(Player6,GENIE)
!Race(Player6,STATUE)
!Race(Player6,LICH)
!Race(Player6,DEMILICH)
!Race(Player6,PLANATAR)
!Race(Player6,DARKPLANATAR)
!Race(Player6,MYCONID)
!Race(Player6,FEYR)
!Race(Player6,HOOK_HORROR)
!Race(Player6,SIMULACRUM)
!Race(Player6,SPECTRAL_UNDEAD)
!Race(Player6,SHAMBLING_MOUND)
!Race(Player6,WILL-O-WISP)
!Race(Player6,TREANT)
!Race(Player6,SWORD)
!Race(Player6,BOW)
!Race(Player6,XBOW)
!Race(Player6,STAFF)
!Race(Player6,SLING)
!Race(Player6,MACE)
!Race(Player6,DAGGER)
!Race(Player6,SPEAR)
!Race(Player6,FIST)
!Race(Player6,HAMMER)
!Race(Player6,MORNINGSTAR)
!Race(Player6,ROBES)
!Race(Player6,LEATHER)
!Race(Player6,CHAIN)
!Race(Player6,PLATE)~ THEN REPLY ~<PLAYER6>, I need you to consume this vampire heart and gain immortality.~ GOTO player6Eat  
   
  ++ ~(Take it back to inventory.)~ +  itemBack
END

IF ~~ itemEatVampire
   SAY ~(You take Phreya's heart and begin to bite it by your claws, swallowing it's pieces and coagulated blood.)~
   =
   ~(You have killed a person of your own kind, but you feel no shame. New powers are added to yours.)~
   IF ~~ THEN  DO ~DestroyItem("VVHPHREY")
   		ChangeStat(Player1,DEX,1,ADD)
		IncrementGlobal("Player1CannibalVampire","GLOBAL",1)~  EXIT

END


IF ~Race(Player1,VAMPIRE)~
THEN BEGIN heartOpen
   SAY ~(You take vampire's black heart into your hand. It is said that there is still a life in it, and vampire's powers are still there.)~

   IF ~~ THEN REPLY ~I will find a way to return you to life. You will serve me.~ GOTO itemBack



   IF ~~ THEN REPLY ~I am going to eat Phreya's heart and will become more powerful.~ GOTO itemEatVampire
  ++ ~(Take it back to inventory.)~ +  itemBack
END


IF ~~ itemBack
  SAY ~(You carefully put heart into inventory.)~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ itemEat1
  SAY ~(You bite heart of Phreya with your teeths. One by one you swallow pieces of it.)~
  =
  ~(At first you feel nothing.)~
  IF ~~ THEN DO ~~ GOTO vampirNo1
END

IF ~~ itemEat2
  SAY ~(You bite heart of Phreya with your teeths. One by one you swallow pieces of it, tasting coagulated blood.)~
  =
  ~(At first you feel nausea, burning in your mouth and your stomache, and taste of iron.)~
  IF ~~ THEN DO ~~ GOTO vampirNo2
END

IF ~~ itemEat3
  SAY ~(You bite heart of Phreya with your teeths. One by one you swallow pieces of it, tasting coagulated blood.)~
  =
  ~(At first you feel nausea, burning in your mouth and your stomache, and taste of iron.)~
  IF ~~ THEN DO ~~ GOTO vampirYes1
END

IF ~~ itemEat4
  SAY ~(You bite heart of a vampire with your teeths. One by one you swallow pieces of it, tasting coagulated blood.)~
  =
  ~(At first you don't feel anything except nausea and taste of iron.)~
  IF ~~ THEN GOTO vampirYes2
END


IF ~~ vampirYes1
 SAY ~(You start to feel a terrible pain in your stomach. You begin to shiver, and loosing of your main senses almost make you blind.)~
 =
 ~(Your blood is incompatible with Phreya's blood. But heart of vampire is strong and after a great pain and it's devouring vampire's power begins to change your body.)~
 =
 ~(The great coldness embraces you. You feel that your heartbeat slows down to almost zero. You feel your whole body is changing. And you feel hunger you never known before.)~
 IF ~~ THEN DO ~DestroyItem("VVHPHREY")

 SetGlobal("Player1VampirizedByHeart","GLOBAL",1)
SetGlobal("ActorVampirisedLevel","LOCALS",1) 
SetGlobal("MyRaceBlood","LOCALS",4)
ChangeStat(Player1,CON,-3,ADD)
 ~ EXIT
END

IF ~~ vampirYes2
 SAY ~(The great coldness embraces you. You feel that your heartbeat slows down to almost zero. You feel your whole body is changing. And you feel hunger you never known before.)~
 IF ~~ THEN DO ~DestroyItem("VVHPHREY")
 ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",1))
 SetGlobal("Player1VampirizedByHeart","GLOBAL",1)
 //DestroySelf()
 ~ EXIT
END




IF ~~ vampirNo1
 SAY ~(And nothing happens. You just wasted life of Phreya for nothing.)~
 IF ~~ THEN DO ~DestroyItem("VVHPHREY")
 ~ EXIT
END

  


IF ~~ vampirNo2
 SAY ~(Pain increases. More and more. You feel like you burn alive, and at the same time you are eaten by millions of worms from inside. You cannot breath, you become blind and helpless. And than comes the darkness...)~
 IF ~~ THEN DO ~DestroyItem("VVHPHREY")
 Kill(Player1)~ EXIT
END



  IF ~~ player2Eat
SAY ~You want me to became vampire?~
IF ~Alignment(Player2,LAWFUL_EVIL)~ GOTO   player2EatOk
IF ~Alignment(Player2,CHAOTIC_EVIL)~ GOTO player2EatOk
IF ~Alignment(Player2,NEUTRAL_EVIL)~ GOTO player2EatOk
IF ~!Alignment(Player2,LAWFUL_EVIL)
!Alignment(Player2,CHAOTIC_EVIL)
!Alignment(Player2,NEUTRAL_EVIL)~ GOTO playerEatNo
END
  

IF ~~ player3Eat
SAY ~You want me to became vampire?~
IF ~Alignment(Player3,LAWFUL_EVIL)~ GOTO player3EatOk
IF ~Alignment(Player3,CHAOTIC_EVIL)~ GOTO player3EatOk
IF ~Alignment(Player3,NEUTRAL_EVIL)~ GOTO player3EatOk
IF ~!Alignment(Player3,LAWFUL_EVIL)
!Alignment(Player3,CHAOTIC_EVIL)
!Alignment(Player3,NEUTRAL_EVIL)~ GOTO playerEatNo
END
  
  

IF ~~ player4Eat
SAY ~You want me to became vampire?~
IF ~Alignment(Player4,LAWFUL_EVIL)~ GOTO player4EatOk
IF ~Alignment(Player4,CHAOTIC_EVIL)~ GOTO player4EatOk
IF ~Alignment(Player4,NEUTRAL_EVIL)~ GOTO player4EatOk
IF ~!Alignment(Player4,LAWFUL_EVIL)
!Alignment(Player4,CHAOTIC_EVIL)
!Alignment(Player4,NEUTRAL_EVIL)~ GOTO playerEatNo
END
  

IF ~~ player5Eat
SAY ~You want me to became vampire?~
IF ~Alignment(Player5,LAWFUL_EVIL)~ GOTO player5EatOk
IF ~Alignment(Player5,CHAOTIC_EVIL)~ GOTO player5EatOk
IF ~Alignment(Player5,NEUTRAL_EVIL)~ GOTO player5EatOk
IF ~!Alignment(Player5,LAWFUL_EVIL)
!Alignment(Player5,CHAOTIC_EVIL)
!Alignment(Player5,NEUTRAL_EVIL)~ GOTO playerEatNo
END
      

IF ~~ player6Eat
SAY ~You want me to became vampire?~
IF ~Alignment(Player6,LAWFUL_EVIL)~ GOTO player6EatOk
IF ~Alignment(Player6,CHAOTIC_EVIL)~ GOTO player6EatOk
IF ~Alignment(Player6,NEUTRAL_EVIL)~ GOTO player6EatOk
IF ~!Alignment(Player6,LAWFUL_EVIL)
!Alignment(Player6,CHAOTIC_EVIL)
!Alignment(Player6,NEUTRAL_EVIL)~ GOTO playerEatNo
END
    
	
IF ~~ playerEatNo
SAY ~Of cause no! This proposition insults me!~
IF ~~ THEN DO ~~ EXIT
END

 

IF ~~ player2EatOk
SAY ~(<PLAYER2> takes vampire's heart and starts to consume it with terrible face expression.)~
IF ~~	THEN DO ~DestroyItem("VVHPHREY")
		ActionOverride(Player2,DropInventory())
		ActionOverride(Player2,PlayDead(60))
		ApplySpellRES("SPINVAMP",Player2)
		ChangeStat(Player2,USE_ANY_ITEM,1,SET)
		ChangeStat(Player2,PROFICIENCYMACE,1,ADD)
		

		ChangeAlignment(Player2,CHAOTIC_EVIL)
		ChangeRace(Player2,VAMPIRE)
		ChangeGeneral(Player2,UNDEAD)
		
		GiveItemCreate("vampreg1",Player2,1,1,0) // Ring
		GiveItemCreate("DAGG01",Player2,1,1,0) // Dagger		
		GiveItemCreate("VVCASKET",Player2,1,1,0) // Empty Casket
	

		XEquipItem("vampreg1",Player2,SLOT_RING_RIGHT,EQUIP) // Ring
		XEquipItem("DAGG01",Player2,SLOT_WEAPON,EQUIP) // Dagger		
		ActionOverride(Player2,TransformItem("DAGG01","VAMT01"))
		
		ChangeStat(Player2,CON,2,ADD)
		ChangeStat(Player2,STR,4,ADD)
		ChangeStat(Player2,WIS,-2,ADD)
		ChangeStat(Player2,INT,-2,ADD)

		ChangeStat(Player2,RESISTCOLD,50,ADD)
		ChangeStat(Player2,RESISTPOISON,100,ADD)
		ChangeStat(Player2,RESISTFIRE,-50,ADD)
		ChangeStat(Player2,USE_ANY_ITEM,0,SET)~  EXIT
END



IF ~~ player3EatOk
SAY ~(<PLAYER3> takes vampire's heart and starts to consume it with terrible face expression.)~
IF ~~	THEN DO ~DestroyItem("VVHPHREY")
		ActionOverride(Player3,DropInventory())
		ActionOverride(Player3,PlayDead(60))
		ApplySpellRES("SPINVAMP",Player3)
		ChangeStat(Player3,USE_ANY_ITEM,1,SET)
		ChangeStat(Player3,PROFICIENCYMACE,1,ADD)
		

		ChangeAlignment(Player3,CHAOTIC_EVIL)
		ChangeRace(Player3,VAMPIRE)
		ChangeGeneral(Player3,UNDEAD)
		
		GiveItemCreate("vampreg1",Player3,1,1,0) // Ring
		GiveItemCreate("DAGG01",Player3,1,1,0) // Dagger		
		GiveItemCreate("VVCASKET",Player3,1,1,0) // Empty Casket
	

		XEquipItem("vampreg1",Player3,SLOT_RING_RIGHT,EQUIP) // Ring
		XEquipItem("DAGG01",Player3,SLOT_WEAPON,EQUIP) // Dagger		
		ActionOverride(Player3,TransformItem("DAGG01","VAMT01"))
		
		ChangeStat(Player3,CON,2,ADD)
		ChangeStat(Player3,STR,4,ADD)
		ChangeStat(Player3,WIS,-2,ADD)
		ChangeStat(Player3,INT,-2,ADD)

		ChangeStat(Player3,RESISTCOLD,50,ADD)
		ChangeStat(Player3,RESISTPOISON,100,ADD)
		ChangeStat(Player3,RESISTFIRE,-50,ADD)
		ChangeStat(Player3,USE_ANY_ITEM,0,SET)~  EXIT
END

IF ~~ player4EatOk
SAY ~(<PLAYER4> takes vampire's heart and starts to consume it with terrible face expression.)~
IF ~~	THEN DO ~DestroyItem("VVHPHREY")
		ActionOverride(Player4,DropInventory())
		ActionOverride(Player4,PlayDead(60))
		ApplySpellRES("SPINVAMP",Player4)
		ChangeStat(Player4,USE_ANY_ITEM,1,SET)
		ChangeStat(Player4,PROFICIENCYMACE,1,ADD)
		

		ChangeAlignment(Player4,CHAOTIC_EVIL)
		ChangeRace(Player4,VAMPIRE)
		ChangeGeneral(Player4,UNDEAD)
		
		GiveItemCreate("vampreg1",Player4,1,1,0) // Ring
		GiveItemCreate("DAGG01",Player4,1,1,0) // Dagger		
		GiveItemCreate("VVCASKET",Player4,1,1,0) // Empty Casket
	

		XEquipItem("vampreg1",Player4,SLOT_RING_RIGHT,EQUIP) // Ring
		XEquipItem("DAGG01",Player4,SLOT_WEAPON,EQUIP) // Dagger		
		ActionOverride(Player4,TransformItem("DAGG01","VAMT01"))
		
		ChangeStat(Player4,CON,2,ADD)
		ChangeStat(Player4,STR,4,ADD)
		ChangeStat(Player4,WIS,-2,ADD)
		ChangeStat(Player4,INT,-2,ADD)

		ChangeStat(Player4,RESISTCOLD,50,ADD)
		ChangeStat(Player4,RESISTPOISON,100,ADD)
		ChangeStat(Player4,RESISTFIRE,-50,ADD)
		ChangeStat(Player4,USE_ANY_ITEM,0,SET)~  EXIT
END


IF ~~ player5EatOk
SAY ~(<PLAYER5> takes vampire's heart and starts to consume it with terrible face expression.)~
IF ~~	THEN DO ~DestroyItem("VVHPHREY")
		ActionOverride(Player5,DropInventory())
		ActionOverride(Player5,PlayDead(60))
		ApplySpellRES("SPINVAMP",Player4)
		ChangeStat(Player5,USE_ANY_ITEM,1,SET)
		ChangeStat(Player5,PROFICIENCYMACE,1,ADD)
		

		ChangeAlignment(Player5,CHAOTIC_EVIL)
		ChangeRace(Player5,VAMPIRE)
		ChangeGeneral(Player5,UNDEAD)
		
		GiveItemCreate("vampreg1",Player5,1,1,0) // Ring
		GiveItemCreate("DAGG01",Player5,1,1,0) // Dagger		
		GiveItemCreate("VVCASKET",Player5,1,1,0) // Empty Casket
	

		XEquipItem("vampreg1",Player5,SLOT_RING_RIGHT,EQUIP) // Ring
		XEquipItem("DAGG01",Player5,SLOT_WEAPON,EQUIP) // Dagger		
		ActionOverride(Player5,TransformItem("DAGG01","VAMT01"))
		
		ChangeStat(Player5,CON,2,ADD)
		ChangeStat(Player5,STR,4,ADD)
		ChangeStat(Player5,WIS,-2,ADD)
		ChangeStat(Player5,INT,-2,ADD)

		ChangeStat(Player5,RESISTCOLD,50,ADD)
		ChangeStat(Player5,RESISTPOISON,100,ADD)
		ChangeStat(Player5,RESISTFIRE,-50,ADD)
		ChangeStat(Player5,USE_ANY_ITEM,0,SET)~  EXIT
END


IF ~~ player6EatOk
SAY ~(<PLAYER6> takes vampire's heart and starts to consume it with terrible face expression.)~
IF ~~	THEN DO ~DestroyItem("VVHPHREY")
		ActionOverride(Player6,DropInventory())
		ActionOverride(Player6,PlayDead(60))
		ApplySpellRES("SPINVAMP",Player4)
		ChangeStat(Player6,USE_ANY_ITEM,1,SET)
		ChangeStat(Player6,PROFICIENCYMACE,1,ADD)
		

		ChangeAlignment(Player6,CHAOTIC_EVIL)
		ChangeRace(Player6,VAMPIRE)
		ChangeGeneral(Player6,UNDEAD)
		
		GiveItemCreate("vampreg1",Player6,1,1,0) // Ring
		GiveItemCreate("DAGG01",Player6,1,1,0) // Dagger		
		GiveItemCreate("VVCASKET",Player6,1,1,0) // Empty Casket
	

		XEquipItem("vampreg1",Player6,SLOT_RING_RIGHT,EQUIP) // Ring
		XEquipItem("DAGG01",Player6,SLOT_WEAPON,EQUIP) // Dagger		
		ActionOverride(Player6,TransformItem("DAGG01","VAMT01"))
		
		ChangeStat(Player6,CON,2,ADD)
		ChangeStat(Player6,STR,4,ADD)
		ChangeStat(Player6,WIS,-2,ADD)
		ChangeStat(Player6,INT,-2,ADD)

		ChangeStat(Player6,RESISTCOLD,50,ADD)
		ChangeStat(Player6,RESISTPOISON,100,ADD)
		ChangeStat(Player6,RESISTFIRE,-50,ADD)
		ChangeStat(Player6,USE_ANY_ITEM,0,SET)~  EXIT
END
